| Home | Libraries | People | FAQ | More

## Macro BOOST_TRIBOOL_THIRD_STATE

BOOST_TRIBOOL_THIRD_STATE — Declare a new name for the third state of a tribool.

## Synopsis

    // In header: <boost/logic/tribool.hpp>

    BOOST_TRIBOOL_THIRD_STATE(Name)

## Description

Use this macro to declare a new name for the third state of a tribool. This state can have any number of new names (in addition to `indeterminate`), all of which will be equivalent. The new name will be placed in the namespace in which the macro is expanded.

Example: BOOST_TRIBOOL_THIRD_STATE(true_or_false)

tribool x(true_or_false); // potentially set x if (true_or_false(x)) { // don't know what x is }